import { observer } from "mobx-react";
import "./home.less";
import MapContainer from "@/components/map/MapComponent";
import HomeLeft from "@/pages/home/homeLeft/home_left";
import HomeRight from "@/pages/home/homeRigrt/home_right";
import HomeBottom from "@/pages/home/homeBottom/home_bottom";
import image1 from "@/static/title_jiantou@1x.png";
import image2 from "@/static/title_line@1x.png";
import { SettingOutlined } from "@ant-design/icons";
import { useNavigate } from "react-router";
const Home = observer(() => {
  const navigate = useNavigate();
  return (
    <div className="contents_center">
      <div className="map_container_t">
        <div className="map_container_t_l">
          <img className="title_img" src={image1} alt="" />
          <span>黄水镇武装平台</span>
          <img className="twp" src={image2} alt="" />
        </div>
        <div className="scr">
          <div className="scrolling-text">
            <span>
              仓库3，2号货架,单兵装备，即将临期，
              仓库4，1号货架,单兵装备，即将临期，
              仓库2，3号货架,单兵装备，即将临期
            </span>
          </div>
        </div>
        <div className="map_container_t_r">
          <SettingOutlined
            onClick={() => {navigate("admin/user");}}
            style={{ fontSize: "20px", color: "#f9f9f9", cursor: "pointer" }}
          />
        </div>
      </div>
      <div className="map_container_l">
        <HomeLeft />
      </div>
      <MapContainer />
      <div className="map_container_r">
        <HomeRight />
      </div>
      <div className="map_container_b">
        <HomeBottom />
      </div>
    </div>
  );
});

export default Home;
